Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.mas2j
Class ClassParameters

    java.lang.Object
      jason.mas2j.ClassParameters

    public class ClassParameters

extends java.lang.Object

Used to store class parameters in .mas2j file, e.g. environment: Mars(a,b,c); this class stores className = Mars, parameters = {a,b,c}

Constructor Summary
`ClassParameters()`
`ClassParameters(java.lang.String className)`
`ClassParameters(Structure s)`

Method Summary
`void` | `addParameter(java.lang.String s)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getHost()`
`java.lang.String` | `getParameter(int index)`
`java.lang.String[]` | `getParametersArray()`
`java.lang.String` | `getParametersStr(java.lang.String sep)` returns parameters with space as separator
`boolean` | `hasParameter(java.lang.String s)`
`boolean` | `hasParameters()`
`void` | `setClassName(java.lang.String cn)`
`void` | `setHost(java.lang.String h)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassParameters

    public ClassParameters()

### ClassParameters

    public ClassParameters(java.lang.String className)

### ClassParameters

    public ClassParameters(Structure s)

Method Detail

### setClassName

    public void setClassName(java.lang.String cn)

### getClassName

    public java.lang.String getClassName()

### addParameter

    public void addParameter(java.lang.String s)

### getParameter

    public java.lang.String getParameter(int index)

### hasParameter

    public boolean hasParameter(java.lang.String s)

### hasParameters

    public boolean hasParameters()

### getParametersArray

    public java.lang.String[] getParametersArray()

### getParametersStr

    public java.lang.String getParametersStr(java.lang.String sep)

  returns parameters with space as separator

### setHost

    public void setHost(java.lang.String h)

### getHost

    public java.lang.String getHost()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD